<?php
include 'header.php';
include 'connect.php';
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

$id_usuario = $_SESSION[SESSION_USER_NAME]['id'];
?>
</br></br></br>
<!--<form id=validate_custom method=POST action="erpc_alterar_senha_ws.php">-->
  <div class=block>
    <div class=header>
      <h2>Atualizar Latitude e Longitude Clientes</h2>
    </div>
      <div class="block">
    <div class="content">
      <?php
      displayMessagesAndErrors(true); ?>
    </div>
  </div>
<?php
$sql1 = "SET SQL_SAFE_UPDATES=0;";

$sql2 = "update erpc_clientes set st_end_falho = null where st_end_falho = 1;";

$sql3 = "SET SQL_SAFE_UPDATES=1;";

$resultado = mysqli_query($conexao, $sql1) or die ($erro = mysqli_error($conexao));
$resultado = mysqli_query($conexao, $sql2) or die ($erro = mysqli_error($conexao));
$resultado = mysqli_query($conexao, $sql3) or die ($erro = mysqli_error($conexao));

$consulta_total = "select count(*) as registros_totais from erpc_clientes where 1;";					
$resultado = mysqli_query($conexao, $consulta_total) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$registros_totais = $registro['registros_totais'];
	}
}

$consulta_faltantes = "select count(*) as registros_faltantes from erpc_clientes
							inner join erpc_municipios
							on erpc_clientes.id_municipio = erpc_municipios.id
							where ((longitude is null 
								or latitude is null)
								or
								(longitude = 0 or latitude = 0))
								and st_end_falho is null;";				
$resultado = mysqli_query($conexao, $consulta_faltantes) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_faltantes = $registro['registros_faltantes'];
	}
}
	
$consulta_atualizados = "select count(*) as total_end_certos from erpc_clientes where st_end_falho = 0 or latitude is not null or longitude is not null;";					
$resultado = mysqli_query($conexao, $consulta_atualizados) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_atualizados = $registro['total_end_certos'];
	}
}

$consulta_erros = "select count(*) as total_end_errados from erpc_clientes where st_end_falho = 1;";					
$resultado = mysqli_query($conexao, $consulta_erros) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_falhas = $registro['total_end_errados'];
	}
}


?>
<div class="block">
  <div class="content">
    <div class="table-responsive">
        <table class="table table-bordered table-striped table-responsible">
        	   <tr>
        		<td><h5>Total de clientes cadastrados: </h5></td>
        		<td><h5><?php echo $registros_totais; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de clientes não atualizados: </h5></td>
        		<td id="faltantes"><h5><?php echo $total_faltantes; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de clientes atualizados: </h5></td>
        		<td><h5><?php echo $total_atualizados; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de endereços a corrigir: </h5></td>
        		<td><h5><?php echo $total_falhas; ?></h5></td>
        	   </tr>
        	</table>
        </div>
        <br><br>
        <div id="display"></div>
							
		<iframe id="quadro" name="quadro" width="100%">3</iframe>
		
    </div><!--content-->
</div><!--block-->
 
  <div class=footer>
      <div class="side pull-right">
      <form name="processar" target="quadro" action="latitude_longitude_clientes.php" method="POST">    
        <div class=btn-group>
          <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>
          <button class="btn btn-success" type="submit" id="botao"  onclick="document.getElementById('display').innerHTML='<h1>Processando...</h1>';"  value="clientes" name="clientes">Atualizar</button>
        </div>
      </form><br>  
       <form name="processar2" target="quadro" action="latitude_longitude_clientes_erros.php" method="POST">    
        <div class=btn-group>
          <button class="btn btn-success" style="display: none;" type="submit" id="botao2" class="btn"  name="clientes">Listar Clientes c/ End. p/ corrigir</button>
        </div>
       </form> 
        
      </div>
    </div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
    $("#botao").click(function(){
        $("#registros").load("latitude_longitude_carrega_clientes.php");

		setTimeout(function () {
			var text = $('#faltantes').text()
			if(text != '0'){
				//console.log(text);
				$( "#botao" ).click();
			}else{
				//console.log("Terminou o processamento");
				$("#display").html('<h1>Processamento Concluído</h1>');
				$("#botao2").show();
			}
		}, 750);
    });

});
</script>    






<?php include 'footer.php'; ?>
